<div class="row bg-transparency-medium-white py-4 now-weather">

    <div class="col-4 col-lg-2 col-xl-3 d-flex align-items-center justify-content-end">
        <span class="wi wi-owm-{{ today.weather[0].id }} text-primary now-wi"></span>
    </div>
    <div class="col-8 col-lg-4 col-xl-3">
        <span class="city">{% if(today.name) %}{{ today.name }}{% else %}-{% endif %}</span>
        <span class="text-capitalize">{% if(today.weather[0].description) %}{{ today.weather[0].description }}{% else %}-{% endif %}</span>
        <span>{{ "PLUGIN.ETDMETEO.HUMIDITY"|t }} : {% if(today.main.humidity) %}{{ today.main.humidity }}{% else %}- {% endif %}%</span>
        <span>{{ "PLUGIN.ETDMETEO.WIND"|t }} : {% if(today.wind.speed) %}{{ round(3.6*today.wind.speed,1) }}{% else %}-{% endif %} km/h</span>
    </div>
    <div class="pt-4 pt-lg-0 col-6 col-lg-2 col-xl-3 d-flex align-items-center">
        <div class="w-100">
            <span class="wi wi-thermometer d-block text-center"></span>
            <span class="d-block text-center pt-2 temperature">{% if(today.main.temp) %}{{ round(today.main.temp) }}{% else %}- {% endif %}°C</span>
        </div>
    </div>
    <div class="pt-4 pt-lg-0 col-6 col-lg-4 col-xl-3 d-flex align-items-center">
        <div>
            <div><span class="wi wi-sunrise d-inline-block pr-2"></span><span class="d-inline-block">{% if(today.sys.sunrise) %}{{ today.sys.sunrise|date("H:i") }}{% else %}-{% endif %}</span></div>
            <div class="pt-4"><span class="wi wi-sunset d-inline-block pr-2"></span><span class="d-inline-block">{% if(today.sys.sunset) %}{{ today.sys.sunset|date("H:i") }}{% else %}-{% endif %}</span></div>
        </div>
    </div>
</div>
{% if (previsions) %}
    {% for prevision in previsions %}
        {% if (loop.index <= grav.config.plugins['etd-meteo'].numberForecast) %}
            <div class="row">
                <div class="col">

                    <span class="day {% if loop.first %}pt-2{% else %}py-2{% endif %} d-block">{{ (strftime("%A",prevision.date)|upper)|t }}</span>
                    {% if loop.first %}
                        <span class="d-block pb-2">{{ "PLUGIN.ETDMETEO.TODAY"|t }}</span>
                    {% endif %}
                </div>
                <div class="col d-flex align-items-center forecast-wi">
                    <div class="w-100">
                        <span class="d-block text-center wi wi-owm-{{ prevision.code }}"></span>
                    </div>
                </div>
                <div class="col d-flex align-items-center">
                    <div class="w-100 d-block text-center ">
                        {% if (prevision.min > today.main.temp and loop.first) %}
                            <span class="pr-2">{{ round(today.main.temp) }}°C</span>
                        {% else %}
                            <span class="pr-2">{{ round(prevision.min) }}°C</span>
                        {% endif %}
                        {% if (prevision.max < today.main.temp and loop.first) %}
                            <span class="pl-sm-2">{{ round(today.main.temp) }}°C</span>
                        {% else %}
                            <span class="pl-sm-2">{{ round(prevision.max) }}°C</span>
                        {% endif %}
                    </div>
                </div>
                {% if not loop.last and loop.index != grav.config.plugins['etd-meteo'].numberForecast %}
                    <div class="border-bottom w-100"></div>
                {% endif %}
            </div>
        {% endif %}
    {% endfor %}
{% else %}
    <div class="text-center">
        Impossible de communiquer avec le service Météo
    </div>
{% endif %}


